Skip to content

Grant SFS Access

PUT
/api/v1/efs/allow-vpc-cidr/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/efs/allow-vpc-cidr/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"efs_id": 467,
"vpc_id": 3170,
"permissions": "rw"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
efs_id
required
integer

Example

467
vpc_id
required
integer

Example

3170
permissions
required
string

Example

rw

Successful response indicating network configuration initiation

Media typeapplication/json
object
code
integer
data
object
efs_id
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"efs_id": 636
},
"errors": {},
"message": "Network Configuration Initiated. Expected completion within 2-3 minutes."
}